<template>
    <div class="h-screen w-screen flex items-center justify-center">
        <div class="flex flex-col w-96 h-96 bg-white p-5 rounded-3xl drop-shadow-lg items-center">
            <div class="h-24 py-2">
                <img src="../../assets/logo-color.png" class="drop-shadow w-72">
            </div>
            <form class="grow form-control w-full" id="login" v-on:submit.prevent="login()">
                <label for="username" class="mx-2 label">Usuario</label>
                <input id="username" class="w-full input input-sm" v-model="form.username">
                <label for="password" class="mx-2 label">Contraseña</label>
                <input id="password" class="w-full input input-sm" type="password" v-model="form.password">
            </form>
            <div class="flex flex-col items-center">
                <h2 class="alert error my-2 h-8" v-if="error">{{ msg }}</h2>
                <button class="btn btn-secondary btn-sm text-white" type="submit" form="login">Iniciar Sesión</button>
            </div>
        </div>
    </div>
</template>

<script>
import axios from 'axios'

export default {
    name: 'login',
    data() {
        return {
            form: {
                username: '',
                password: ''
            },
            error: false,
            msg: null
        }
    },
    methods: {
        login() {
            axios.post('cuentas/getcredentials', this.form)
                .then(result => {
                    localStorage.setItem('auth', result.data)
                    axios.post('cuentas/logincredentials', [], {
                        headers: {
                            Authorization: localStorage.getItem('auth')
                        }
                    }).then(result => {
                        console.log(result)
                        axios.get('cuentas/usuario', {
                            headers: {
                                Authorization: localStorage.getItem('auth')
                            }
                        }).then(resultUser => {
                            localStorage.setItem('userNombre', resultUser.data.nombre)
                            localStorage.setItem('userId', resultUser.data.usuId)
                            localStorage.setItem('userRol', resultUser.data.rol)
                            this.error = false
                            this.$router.push('/')
                        })
                    }
                    ).catch(err => {
                        console.log(err)
                        localStorage.removeItem('auth')
                        this.error = true
                        this.msg = err
                    })
                })
                .catch(err => {
                    console.log(err)
                    localStorage.removeItem('auth')
                    this.error = true
                    this.msg = err
                })
        }
    }
}
</script>

<style>

</style>